<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>

<!-- header.jsp -->

<rhn:require acl="not global_config(satellite)">
	<!-- SiteCatalyst code version: H.1. Copyright 1997-2005 Omniture, Inc. More info available at
	 http://www.omniture.com sec -->
	<div id="oTags">

			<script type="text/javascript" language="JavaScript" src="https://www.redhat.com/j/s_code.js"></script>
			<script type="text/javascript" language="JavaScript" src="https://www.redhat.com/j/rh_omni_footer.js"></script>
			<script type="text/javascript" language="JavaScript"><!--
			if(navigator.appVersion.indexOf('MSIE')>=0)document.write(unescape('%3C')+'\!-'+'-')
			//--></script>
			<noscript><img src="https://smtrcs.redhat.com/b/ss/redhatcom/1/H.2--NS/0"
			height="1" width="1" border="0" alt="" /></noscript><!--/DO NOT REMOVE/-->

	</div>
	<!-- End SiteCatalyst code version: H.1.-->
</rhn:require>

<div id="header">
  <a href="http://www.redhat.com/" title="Visit redhat.com for more information about Red Hat products and services"><img src="/img/logo_header_rh.gif" alt="Red Hat" width="37" height="31" id="rhLogo" /></a>
  <a href="/" title="Red Hat Network homepage">
      <rhn:require acl="not global_config(satellite)">
          <img src="/img/logo_header_network.gif" alt="Red Hat Network" width="164" height="31" id="rhnLogo" /></a>
      </rhn:require>
      <rhn:require acl="global_config(satellite)">
          <img src="/img/rhn_satellite.gif" alt="Red Hat Network Satellite" width="235" height="31" id="rhnLogo" /></a>
      </rhn:require>
  <div id="account">
    <rhn:require acl="user_authenticated()">
      <p><html:link forward="logout"><span><bean:message key="header.jsp.signout"/></span></html:link></p>
      <dl><dt><span><bean:message key="header.jsp.loggedin"/></span></dt><dd><c:out escapeXml="true" value="${requestScope.session.user.login}" /></dd></dl>
    </rhn:require>
    <rhn:require acl="not user_authenticated()">
      &#160;
    </rhn:require>
  </div>
</div>
<div id="mainNavOuter">
<div id="mainNav">
<div id="mainNavInner">

    <rhn:require acl="user_authenticated()">
      <rhn:menu mindepth="0" maxdepth="0"
                definition="/WEB-INF/nav/sitenav-authenticated.xml"
                renderer="com.redhat.rhn.frontend.nav.TopnavRenderer" />
    </rhn:require>
    <rhn:require acl="not user_authenticated()">
      <rhn:menu mindepth="0" maxdepth="0"
               definition="/WEB-INF/nav/sitenav.xml"
               renderer="com.redhat.rhn.frontend.nav.TopnavRenderer" />
    </rhn:require>
</div> <!-- close div mainNavInner -->
</div> <!-- close div mainNav -->
</div> <!-- close div mainNavOuter -->

<div id="bar">
  <div id="searchbar">
    <div id="searchbarinner">
      <form name="form1" action="/network/software/search.pxt" method="get">
      <select name="search_type">
      <rhn:require acl="org_entitlement(sw_mgr_enterprise)">
            <option value="systems"><bean:message key="header.jsp.systems"/></option>
	  </rhn:require>
      <option value="packages"><bean:message key="header.jsp.packages"/></option>
      <option value="errata"><bean:message key="header.jsp.errata"/></option>
      </select><input type="text" name="search_string" maxlength="40" size="20" />
      <input type="hidden" name="pxt:trap" value="rhn:bar_search_cb" />
      <input type="image" name="image-1" align="top" src="/img/button-search.gif" /></form>
    </div>
  </div>
  <div id="systembar">
    <div id="systembarinner">
      <div>
      <rhn:require acl="user_authenticated()">
        <span id="header_selcount">
          <rhn:setdisplay user="${requestScope.session.user}"/>
        </span>
        <a href="/network/systems/ssm/index.pxt">
        <img src="/img/button-manage.gif" alt="Manage" border="0" align="middle" />
        </a>
        <%--
          -- Make sure we set the return_url variable correctly here. This will make is to
          -- the user is returned here after clearing the ssm.
          --%>
        <c:choose>
          <c:when test="${not empty pageContext.request.queryString}">
            <c:set var="rurl" value="${pageContext.request.requestURI}?${pageContext.request.queryString}"/>
          </c:when>
          <c:otherwise>
            <c:set var="rurl" value="${pageContext.request.requestURI}" />
          </c:otherwise>
        </c:choose>
        <a href="/rhn/systems/Overview.do?empty_set=true&amp;return_url=<c:out escapeXml="true" value="${rurl}"/>">
          <img src="/img/button-clear.gif" alt="Clear" border="0" align="middle" />
        </a>
      </rhn:require>
      </div>
    </div>
  </div>
</div> <!-- end div bar -->
<!-- end header.jsp -->

