<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>

<html:xhtml/>
<html>
<head>
    <meta name="page-decorator" content="none" />
</head>
<body>

<html:messages id="message" message="true">
    <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<rhn:toolbar base="h1" img="/img/rhn-icon-users.gif"
 helpUrl="/help/reference/s1-sm-users.html#S2-SM-USER-LIST"
 creationUrl="/rhn/users/CreateUser.do?account_type=into_org" 
 creationType="user">
  <bean:message key="disabledlist.jsp.title"/>
</rhn:toolbar>

<c:set var="pageList" value="${requestScope.pageList}" />

<form method="POST" name="rhn_list" action="/rhn/users/DisabledListSubmit.do">
<rhn:list pageList="${requestScope.pageList}" noDataText="disabledlist.jsp.noUsers">
  <rhn:listdisplay renderDisabled="true" set="${requestScope.set}" 
                   hiddenvars="${requestScope.newset}" button="disabledlist.jsp.reactivate"
                   filterBy="username.nopunc.displayname">
    <rhn:set value="${current.id}"/>
    
    <%@ include file="/WEB-INF/pages/common/fragments/user/userlist_columns.jspf" %>

    <rhn:column header="disabledlist.jsp.disabledBy">
        ${current.changedByFirstName} ${current.changedByLastName}
    </rhn:column>

    <rhn:column header="disabledlist.jsp.disabledOn">
        ${current.changeDate}
    </rhn:column>
  </rhn:listdisplay>
</rhn:list>

</form>
</body>
</html>
