<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>

<html:xhtml/>
<html>
<head>
    <meta name="name" value="Users" />
</head>
<body>

<html:messages id="message" message="true">
    <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<rhn:toolbar base="h1" img="/img/rhn-icon-users.gif"
 helpUrl="/help/reference/s1-sm-users.html#S2-SM-USER-LIST">
  <bean:message key="userconfirm.jsp.header" />
</rhn:toolbar>

  <div class="page-summary">
    <p>
    <bean:message key="userconfirm.jsp.summary" />
    </p>
  </div>

<c:set var="pageList" value="${requestScope.pageList}" />
<form method="POST" name="rhn_list" action="/rhn/users/EnableConfirmSubmit.do">
<rhn:list pageList="${requestScope.pageList}" noDataText="userlist.jsp.nousers">
  <rhn:listdisplay button="userconfirm.jsp.confirm">
    <%@ include file="/WEB-INF/pages/common/fragments/user/userlist_columns.jspf" %>
  </rhn:listdisplay>
</rhn:list>
</form>

</body>
</html>
