<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<html>

<head>
<script src="/javascript/channel_tree.js" type="text/javascript"></script>
<script>
var filtered = ${requestScope.isFiltered};
function showFiltered() {
  if (filtered)
    ShowAll();
}
</script>
</head>

<body onLoad="showFiltered();"> 

<html:messages id="message" message="true">
  <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<rhn:toolbar base="h1" img="/img/rhn-icon-channels.gif"
             helpUrl="/help/reference/s1-sm-channels-packages.html#S3-SM-CHANNEL-LIST-ALL" >
  <bean:message key="channels.all.jsp.toolbar"/>
</rhn:toolbar>

<%@ include file="/WEB-INF/pages/common/fragments/channel/channel_tabs.jspf" %>

<p>
	<bean:message key="channels.all.jsp.header1" />
</p>

<p>
	<bean:message key="channels.all.jsp.header2" />
</p>

<rhn:require acl="not global_config(satellite)">
	<p>
		<img src="/img/icon_cd.gif" />
		<bean:message key="channels.header.hostedonly" />
	</p>
</rhn:require>

<form method="post" name="rhn_list" action="/rhn/software/channels/All.do">
	<%@ include file="/WEB-INF/pages/common/fragments/channel/channel_tree.jspf" %>
</form>

</body>
</html>
