<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>

<html>
<body>

<html:errors />
<html:messages id="message" message="true">
  <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<%@ include file="/WEB-INF/pages/common/fragments/kickstart/kickstart-toolbar.jspf" %>

<rhn:dialogmenu mindepth="0" maxdepth="1" 
    definition="/WEB-INF/nav/kickstart_details.xml" 
    renderer="com.redhat.rhn.frontend.nav.DialognavRenderer" />

<h2><bean:message key="kickstartdetails.jsp.header2"/></h2>



<div>
  <p>
    <bean:message key="kickstartdetails.jsp.summary1"/>
    <p>    
    <html:form method="POST" action="/kickstart/KickstartDetailsEdit.do">
      <table class="details">

          <tr>
            <th><bean:message key="kickstartdetails.jsp.label" /><span class="required-form-field">*</span>:</th>
            <td><html:text property="label" maxlength="64" size="32" /><br/> 
            <span class="small-text"><bean:message key="kickstartdetails.jsp.labelwarning" /></span></td>
          </tr>
          <tr>
            <th><bean:message key="kickstartdetails.jsp.install_type" /></th>
            <td><strong><c:out value="${ksdata.ksdefault.kstree.channel.name}"/></strong> 
            <a href="/rhn/kickstart/KickstartSoftwareEdit.do?ksid=${ksdata.id}">(<bean:message key="kickstartdetails.jsp.changeos"/>)</a></td>
          </tr>
          <tr>
            <th><bean:message key="kickstartdetails.jsp.active"/></th>
            <td><html:checkbox property="active" /></td>
          </tr>
          <tr>
            <th><bean:message key="kickstartdetails.jsp.org_default" /></th>
            <td><table><tr><td><html:checkbox property="org_default" /></td><td><bean:message key="kickstartdetails.jsp.summary2" arg0="${ksurl}" /></td></table></td>
          </tr>
          <tr>
            <th><bean:message key="kickstartdetails.jsp.comments"/></th>
            <td><html:textarea property="comments" cols="80" rows="6"/></td>
          </tr>          

          <tr>          
            <td align="right" colspan="2"><html:submit><bean:message key="kickstartdetails.jsp.updatekickstart"/></html:submit></td>
          </tr>

      <html:hidden property="ksid" value="${ksdata.id}"/>
      <html:hidden property="submitted" value="true"/>
      </table>
    </html:form>
  </p>
</div>

</body>
</html>

