<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>

<html>
<body>

<html:errors />
<html:messages id="message" message="true">
  <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<%@ include file="/WEB-INF/pages/common/fragments/kickstart/kickstart-toolbar.jspf" %>

<rhn:dialogmenu mindepth="0" maxdepth="1" 
    definition="/WEB-INF/nav/kickstart_details.xml" 
    renderer="com.redhat.rhn.frontend.nav.DialognavRenderer" />

<div>
<form>

<table class="details" border="0">
  <tr><td>
    <h2><bean:message key="kickstartdownload.jsp.header"/></h2>    
        <bean:message key="kickstartdownload.jsp.summary"/>      

  </td></tr>
  <tr><td>
    <a href="${ksurl}" target="_new"><bean:message key="kickstartdownload.jsp.download"/></a>

  </td></tr>
  <tr><td>

    <pre style="overflow: scroll;">${filedata}</pre>

  </td></tr>
  </table>
  </form>
</div>
</body>
</html>

