<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>

<html>
<body>

<html:errors />
<html:messages id="message" message="true">
  <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<rhn:toolbar base="h1" img="/img/rhn-kickstart_profile.gif"
               creationUrl="/rhn/kickstart/CreateProfileWizard.do"
               creationType="kickstart">
   <bean:message key="kickstart.jsp.overview"/>
</rhn:toolbar>

<div class="half-table half-table-left">
<%@ include file="/WEB-INF/pages/common/fragments/kickstart/kickstart-overview-summary.jspf" %>
</div>
<div class="half-table half-table-right">
<%@ include file="/WEB-INF/pages/common/fragments/kickstart/kickstart-overview-actions.jspf" %>
</div>

<%@ include file="/WEB-INF/pages/common/fragments/kickstart/currently-kickstarted-systems.jspf" %>
<%@ include file="/WEB-INF/pages/common/fragments/kickstart/systems-tobe-kickstarted.jspf" %>

</body>
</html>
