<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>

<html>
<body>

  <html:messages id="message" message="true">
    <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
  </html:messages>
  
  <rhn:toolbar base="h1" img="/img/rhn-icon-schedule_computer.gif"
               helpUrl="/help/reference/s1-sm-actions.html#S2-SM-ACTION-FAIL">
    <bean:message key="failedactions.jsp.failed_actions"/>
  </rhn:toolbar>

  <div class="page-summary">
    <p>
    <bean:message key="failedactions.jsp.summary"/>
    </p>
  </div>
  
<form method="POST" name="rhn_list" action="/rhn/schedule/FailedActionsSubmit.do">

<rhn:list pageList="${requestScope.pageList}"
          noDataText="failedactions.jsp.nogroups">
          
	<%@ include file="/WEB-INF/pages/common/fragments/scheduledactions/listdisplay.jspf" %>
	
</rhn:list>
	
</form>
</body>
</html>
