<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>

<html:xhtml/>
<html>

<body>

<html:messages id="message" message="true">
    <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<%@ include file="/WEB-INF/pages/common/fragments/systems/system-header.jspf" %>

<html:errors />
<h2><bean:message key="create.jsp.createstoredprofile"/></h2>

<div class="page-summary">
   <p><bean:message key="create.jsp.pagesummary"/></p>
</div>

<html:form action="/systems/details/packages/profiles/Create">
      <table class="details" align="center">
        <tr>
          <th><bean:message key="create.jsp.profilename" />:</th>
          <td><html:text property="name" maxlength="128" size="48" /></td>
        </tr>
        <tr>
          <th valign="top"><bean:message key="create.jsp.profiledescription" />:</th>

          <td><html:textarea property="description" cols="48" rows="6" /></td>
        </tr>
      </table>

      <div align="right">
        <hr />
        <html:hidden property="sid" value="${param.sid}" />
        <html:hidden property="submitted" value="true" />
        <html:submit>
	        <bean:message key="create.jsp.createprofile"/>
	    </html:submit>
      </div>
</html:form>

</body>
</html>
