<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>

<html:xhtml/>
<html>
<head>
    <meta name="name" value="System Details" />
</head>
<body>

<%@ include file="/WEB-INF/pages/common/fragments/systems/system-header.jspf" %>

<h2><img src="/img/rhn-icon-errata.gif" /><bean:message key="errata.jsp.header"/></h2>

  <div class="page-summary">
    <p>
    <bean:message key="errata.jsp.summary"/>
    </p>
  </div>

<c:set var="pageList" value="${requestScope.pageList}" />
<form method="POST" name="rhn_list" 
action="/rhn/systems/details/ErrataListSubmit.do?sid=${param.sid}">
<rhn:list pageList="${requestScope.pageList}" noDataText="erratalist.jsp.norelevanterrata" legend="errata">
	<c:if test="${requestScope.showApplyErrata == 'true'}">
  		<rhn:listdisplay set="${requestScope.set}" hiddenvars="${requestScope.newset}">
  			<rhn:set value="${current.id}" img="/img/icon_pending.gif"
             	imgTitle="errata.jsp.scheduled"
             	showImg="${current.currentStatusAndActionId[0] == 'Queued'}"/>
            <%@ include file="/WEB-INF/pages/common/fragments/errata/errata-list.jspf" %>	
  		</rhn:listdisplay>
	</c:if>

	<c:if test="${requestScope.showApplyErrata == 'false'}">
  		<rhn:listdisplay>
  			<rhn:column header="emptyspace.jsp"  style="text-align: center;">
    			<img src="/img/icon_pending.gif"
             		title="<bean:message key="errata.jsp.scheduled"/>" />
            </rhn:column>
            <%@ include file="/WEB-INF/pages/common/fragments/errata/errata-list.jspf" %> 		
  		</rhn:listdisplay>
	</c:if>
</rhn:list>

<c:if test="${requestScope.showApplyErrata == 'true'}">
  	<div align="right">
    	<hr />
    	<html:submit property="dispatch">
      	  <bean:message key="errata.jsp.apply"/>
    	</html:submit>
  	</div>
</c:if>

</form>
</body>
</html>
