<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>

<html:xhtml/>
<html>
<head>
    <meta name="page-decorator" content="none" />
</head>
<body>

<html:messages id="message" message="true">
    <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<rhn:toolbar base="h1" img="/img/rhn-icon-system_group.gif"
 helpUrl="/help/reference/s1-sm-systems.html#S2-SM-SYSTEM-GROUP-LIST"
 creationUrl="/network/systems/groups/create.pxt" 
 creationType="group"
 creationAcl="user_role(system_group_admin)">
  <bean:message key="grouplist.jsp.header"/>
</rhn:toolbar>

<form method="POST" name="rhn_list" action="/rhn/systems/SystemGroupListSubmit.do">
  <%@ include file="/WEB-INF/pages/common/fragments/systems/group_listdisplay.jspf" %>
</form>
</body>
</html>