<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>

<html:xhtml/>
<html>
<head>
    <meta name="page-decorator" content="none" />
</head>
<body>

<html:messages id="message" message="true">
    <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<rhn:toolbar base="h1" img="/img/rhn-icon-system.gif"
 helpUrl="/help/reference/s1-sm-systems.html#S2-SM-SYSTEM-OVERVIEW">
  <bean:message key="overview.jsp.header"/>
</rhn:toolbar>

<c:if test="${not groups}">
  <h2><bean:message key="overview.jsp.systems"/></h2>

  <form method="POST" name="rhn_list" action="/rhn/systems/Overview.do">
    <rhn:list pageList="${requestScope.pageList}" noDataText="nosystems.message"
            legend="system">
      <%@ include file="/WEB-INF/pages/common/fragments/systems/system_listdisplay.jspf" %>
    </rhn:list>
  </form>
</c:if>
<c:if test="${groups}">
  <h2><bean:message key="overview.jsp.groups"/></h2>
  
  <form method="POST" name="rhn_list" action="/rhn/systems/Overview.do">
    <%@ include file="/WEB-INF/pages/common/fragments/systems/group_listdisplay.jspf" %>
  </form>
</c:if>

</body>
</html>

