<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul {
   list-style-image: url('/img/parent_node.gif');
}

.toolbar-h1 {
   text-transform: capitalize;
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="toolbar-h1">
<img src="/img/rhn-icon-api.gif" /> <a href="/rhn/apidoc/">API Overview</a>:

satellite<br />

</div>
<span class="small-text">( <a href="/rhn/apidoc/">Return to API Overview</a> )</span>
<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul>

<li><a href="#activateSatellite">activateSatellite</a></li>

<li><a href="#deactivateSatellite">deactivateSatellite</a></li>

<li><a href="#deactivateSatellite">deactivateSatellite</a></li>

</ul>
</div>
<h2>Description</h2>

<p>
Provides methods to activate/deactivate a Red Hat Network Satellite server.
</p>

<p><strong>Namespace</strong>:

satellite

</p>
<hr />

<h3><a name="activateSatellite" href="#top">Method: activateSatellite</a></h3>

Description:<br />

Activates the satellite associated with the given systemid file and valid certificate.<p />

Parameters:<br />
<ul>

<li>string systemid - systemid file</li>

<li>string satelliteCert - valid satellite certificate</li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

<h3><a name="deactivateSatellite" href="#top">Method: deactivateSatellite</a></h3>

Description:<br />

Deactivates the satellite associated with the given systemid file.<p />

Parameters:<br />
<ul>

<li>string systemid</li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

<h3 class="deprecated"><a name="deactivateSatellite" href="#top">Method: deactivateSatellite</a></h3>

Description:<br />

Deprecated as of version - 4.1.0 - use deactivateSatellite(string systemId)<p />

Parameters:<br />
<ul>

</ul>
<p />
Returns:

<code>
void
</code>

<p />

<hr />

</body>
</html>
