<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>

<html>

<head>
	<c:if test="${requestScope.restart == 'true'}">
<script type="text/javascript">
	var secondsUntilRefresh = "240";
	var pageToRefreshTo = "/rhn/admin/config/Restart.do?restarted=true";
</script>
<script src="/javascript/countdown.js" type="text/javascript"></script>

	</c:if>
</head>
<body onLoad="execute()">

<html:errors />
<html:messages id="message" message="true">
  <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<rhn:toolbar base="h1" img="/img/rhn-icon-info.gif">
  <bean:message key="restart.jsp.toolbar"/>
</rhn:toolbar>

<div class="page-summary">
    <p>
        <bean:message key="restart.jsp.summary"/>
    </p>
</div>
<rhn:dialogmenu mindepth="0" maxdepth="1" definition="/WEB-INF/nav/sat_config.xml" renderer="com.redhat.rhn.frontend.nav.DialognavRenderer" />

<h2><bean:message key="restart.jsp.header2"/></h2>

<div>
<html:form action="/admin/config/Restart" enctype="multipart/form-data">
    <table class="details">
    <tr>
        <th>
            <bean:message key="restart.jsp.restart_satellite"/>
        </th>
        <td>
            <html:checkbox property="restart" />
        </td>
    </tr>
    
    </table>
    <hr/>
    <div align="right"><html:submit><bean:message key="restart.jsp.restart"/></html:submit></div>
    <html:hidden property="submitted" value="true"/>
</html:form>
</div>

</body>
</html>

