<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>

<html:xhtml/>
<html>
<head>
<meta name="name" value="User Details" />
</head>
<body>

<%@ include file="/WEB-INF/pages/common/fragments/user/user-header.jspf" %>

<html:errors />
<html:form action="/users/UserDetailsSubmit?uid=${user.id}">

 <h2><bean:message key="userdetails.jsp.header"/></h2>
 <div class="page-summary">
 <p>
 <bean:message key="userdetails.jsp.summary"/>
 </p>
 </div>

 <table class="details" align="center">
  <tr>
    <th><bean:message key="company.displayname"/></th>
    <td>${user.company}</td>
  </tr>

  <%@ include file="/WEB-INF/pages/common/fragments/user/edit_user_table_rows.jspf"%>

  <tr>
    <th><bean:message key="userdetails.jsp.roles"/>:</th>
    <td>

    <c:forEach items="${userDetailsForm.map.possibleRoles}" var="item">
        <html:multibox property="selectedRoles" disabled="${item.disabled}">
          ${item.value}
        </html:multibox>
        ${item.label}
        <br />
    </c:forEach>
    </td>
  </tr>
  <tr>
    <th><bean:message key="created.displayname"/></th>
    <td>${created}</td>
  </tr>

  <tr>
    <th><bean:message key="last_sign_in.displayname"/></th>
    <td>${lastLoggedIn}</td>
  </tr>
 </table>

 <c:if test="${!empty mailableAddress}">
 <div align="right">
   <hr />
   <html:submit />
 </div>
 </c:if>

</html:form>

</body>
</html>
