<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<html:xhtml/>
<html>
<head>
    <meta name="decorator" content="layout_equals" />
</head>
<body>

<html:messages id="message" message="true">
    <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<c:if test="${requestScope.hasExpired != 'true'}">
<div id="contentLeft">
  <div class="clearBox">
  <div class="clearBoxInner">
  <div class="clearBoxBody">

    <html:form action="/LoginSubmit" focus="username">
        <%@ include file="/WEB-INF/pages/common/fragments/login_form.jspf" %>
    </html:form>
  </div>
  </div>
  </div>
</div> <!-- end contentLeft -->
</c:if>

<div id="contentRight">
  <h1 id="rhn_welcome3"><span><bean:message key="login.jsp.welcomemessage"/></span></h1>

  <rhn:require acl="global_config(satellite)">
    <p><bean:message key="login.jsp.satbody1"/></p>
    <p><bean:message key="login.jsp.satbody2"/></p>
    <p><bean:message key="login.jsp.satbody3"/></p>
    <p><bean:message key="login.jsp.satbody4"/></p>
  </rhn:require>
  
  <rhn:require acl="not global_config(satellite)">
    <p id="intro"><bean:message key="login.jsp.hostbody1"/></p>
    <p><bean:message key="login.jsp.hostbody2"/></p>
  
    <ul>
      <li><bean:message key="login.jsp.list1"/></li>
      <li><bean:message key="login.jsp.list2"/></li>
      <li><bean:message key="login.jsp.list3"/></li>
    </ul>

    <ul class="linkage">
	  <li><a href="http://www.redhat.com/software/rhn/"><bean:message key="login.jsp.learnmore"/></a>.</li>
    </ul>

    <p class="endnote"><bean:message key="login.jsp.note"/></p>
  </rhn:require>

</div> <!-- end contentRight -->
</body>
</html>
