<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>

<html:xhtml/>
<html>
<body>

<rhn:toolbar base="h1" img="/img/rhn-icon-errata.gif"
             helpUrl="/help/channel-mgmt/ch-custom-errata-mgmt.html#S1-CUSTOM-ERRATA-MGMT-PAGE">
   <bean:message key="cloneerrata.jsp.erratamanagement" />
</rhn:toolbar>
<h2><bean:message key="cloneerrata.jsp.cloneerrata"/></h2>
<div class="page-summary">
<p><bean:message key="cloneerrata.jsp.pagesummary"/></p>
</div>
<br />
<html:form action="/errata/CloneErrata">
  <bean:message key="cloneerrata.jsp.viewapplicableerrata" />:
  <html:select property="channel">
    <html:options collection="clonablechannels" property="value" labelProperty="label"/> 
  </html:select>
  <html:submit>
        <bean:message key="cloneerrata.jsp.view"/>
  </html:submit>
  <br />
  <html:checkbox property="showalreadycloned" value="1" /> <bean:message key="cloneerrata.jsp.showclonederrata" />

<rhn:list pageList="${requestScope.pageList}"
          noDataText="cloneerrata.jsp.noerrata"
          legend="errata">

  <rhn:listdisplay set="${requestScope.set}" hiddenvars="${requestScope.newset}"
                   button="cloneerrata.jsp.cloneerrata">
    <rhn:set value="${current.id}" />
    <rhn:column header="cloneerrata.jsp.type" style="text-align: center;">
       ${current.advisory_type}
    </rhn:column>
    <rhn:column header="cloneerrata.jsp.advisory" style="text-align: center;">
      <a href="/rhn/errata/details/Detail.do?eid=${current.id}">${current.advisory_name}</a>
    </rhn:column>
    <rhn:column header="cloneerrata.jsp.synopsis">
      ${current.synopsis}
    </rhn:column>
    <rhn:column header="cloneerrata.jsp.updated" style="text-align: center;">
      ${current.update_date}
    </rhn:column>
    <rhn:column header="cloneerrata.jsp.potentialchannels" style="text-align: center;">
      ${current.potentialChannels}
    </rhn:column>
    <rhn:column header="cloneerrata.jsp.alreadycloned" style="text-align: center;">
      ${current.alreadyCloned}
    </rhn:column>
  </rhn:listdisplay>
 </rhn:list>

<html:hidden property="submitted" value="true" />
</html:form>
</body>
</html>
