<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>

<html>
<body>

<html:errors />
<html:messages id="message" message="true">
  <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<rhn:toolbar base="h1" img="/img/rhn-icon-info.gif"
               creationUrl="CryptoKeyCreate.do"
               creationType="keys">
  <bean:message key="keys.jsp.toolbar"/>
</rhn:toolbar>

<div>
    <bean:message key="keys.jsp.summary"/>
    <form method="POST" name="rhn_list" action="/rhn/keys/CryptoKeysList.do">
      
      <rhn:list pageList="${requestScope.pageList}" noDataText="keys.jsp.nokeys">
          
      <rhn:listdisplay   
          set="${requestScope.set}">
        <rhn:column header="keys.jsp.description">
            <A HREF="CryptoKeyEdit.do?key_id=${current.id}">${current.description}</A>
        </rhn:column>
        <rhn:column header="keys.jsp.type">
        ${current.label}
        </rhn:column>

      </rhn:listdisplay>      
      </rhn:list>
    </form>

</div>

</body>
</html>

