<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>

<html>
<body>

<html:errors />
<html:messages id="message" message="true">
  <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<rhn:toolbar base="h1" img="/img/rhn-kickstart_profile.gif">
  <bean:message key="kickstartranges.jsp.toolbar"/>
</rhn:toolbar>

<div>
  <p>
    <bean:message key="kickstartranges.jsp.summary"/>
    <p>
    ${urlrange}
    <form method="POST" name="rhn_list" action="/rhn/kickstart/KickstartIpRanges.do">
      
      <rhn:list pageList="${requestScope.pageList}" noDataText="kickstartranges.jsp.noranges">
          
      <rhn:listdisplay   
          set="${requestScope.set}">
        
        <rhn:column header="kickstartranges.jsp.range">
          <A HREF="/rhn/kickstart/KickstartIpRangeEdit.do?ksid=${current.id}">${current.iprange.range}</A>
        </rhn:column>
        <rhn:column header="kickstartranges.jsp.profile">
            <A HREF="/rhn/kickstart/KickstartDetailsEdit.do?ksid=${current.id}">${current.name}</A>
        </rhn:column>        
      </rhn:listdisplay>      
      
      </rhn:list>
    </form>
  </p>
</div>

</body>
</html>

