<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>

<html>
<body>

<html:errors />
<html:messages id="message" message="true">
  <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<rhn:toolbar base="h1" img="/img/rhn-kickstart_profile.gif"
               creationUrl="/rhn/kickstart/CreateProfileWizard.do"
               creationType="kickstart">
  <bean:message key="kickstarts.jsp.toolbar"/>
</rhn:toolbar>

<div>
  <p>
    <bean:message key="kickstart.jsp.summary"/>
    <form method="POST" name="rhn_list" action="/rhn/kickstart/KickstartsSubmit.do">
      
      <rhn:list pageList="${requestScope.pageList}" noDataText="kickstart.jsp.nokickstarts">
          
      <rhn:listdisplay   
          set="${requestScope.set}">
        
        <rhn:column header="kickstart.jsp.active" style="text-align: center;" sortProperty="active">
          <c:if test="${current.active}">
            <img src="/img/rhn-listicon-ok.gif" title="<bean:message key="kickstart.jsp.active"/>"/>
          </c:if>
         <c:if test="${not current.active}">
            <img src="/img/rhn-listicon-error.gif" title="<bean:message key="kickstart.jsp.inactive"/>"/>
          </c:if>          
        </rhn:column>
        <rhn:column header="kickstart.jsp.org_default"  style="text-align: center;" sortProperty="isOrgDefault">
          <c:if test="${current.isOrgDefault == 'Y'}">
            <img src="/img/rhn-listicon-ok.gif" title="<bean:message key="kickstart.jsp.org_default"/>"/>
          </c:if>
          <c:if test="${current.isOrgDefault == 'N'}">
            &nbsp;
          </c:if>
        </rhn:column>
        <rhn:column header="kickstart.jsp.label" sortProperty="label">
            <A HREF="/rhn/kickstart/KickstartDetailsEdit.do?ksid=${current.id}">${current.label}</A>
        </rhn:column>
        <rhn:column header="kickstart.jsp.bootimage" sortProperty="bootImage">
        ${current.bootImage}
        </rhn:column>
        
      </rhn:listdisplay>      
      </rhn:list>
    </form>
  </p>
</div>

</body>
</html>

