<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>

<html>
<body>

<html:errors />
<html:messages id="message" message="true">
  <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<rhn:toolbar base="h1" img="/img/rhn-icon-info.gif"
			 deletionUrl="/rhn/kickstart/TreeDelete.do?kstid=${kstree.id}"
             deletionType="deleteTree">
  <bean:message key="treeedit.jsp.toolbar"/>
</rhn:toolbar>

<bean:message key="treecreate.jsp.header1"/>

<h2><bean:message key="treeedit.jsp.header2"/></h2>

<div>
  <p>
    <html:form method="POST" action="/kickstart/TreeEdit.do">
      <%@ include file="tree-form.jspf" %>
      <hr/><table align="right">
           <c:if test="${requestScope.noautoks != 'true' || requestScope.nochannels != 'true'}">
            <tr>
               <td><html:submit><bean:message key="edittree.jsp.submit"/></html:submit></td>
            </tr>
          </c:if>
		 </table>
      <html:hidden property="submitted" value="true"/>
      <html:hidden property="kstid" value="${kstree.id}"/>
    </html:form>
  </p>
</div>

</div>

</body>
</html>

