<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<html:xhtml />
<html>

<head>
<meta http-equiv="Pragma" content="no-cache">

<script language="javascript">

function swapValues(fromCtlId, toCtlId) {
   var fromCtl = document.getElementById(fromCtlId);
   var toCtl = document.getElementById(toCtlId);
   toCtl.value = fromCtl.value;
}

function moveNext() {
   var form = document.getElementById("wizard-form");
   form.submit();
}

function setStep(stepName) {
	var field = document.getElementById("wizard-step");
	field.value = stepName;
}

function setInitialState() {
  var scheduleAsap = document.getElementById("scheduleAsap");
  var scheduleDate = document.getElementById("scheduleDate");
  if(!scheduleAsap.checked && !scheduleDate.checked) {
      scheduleAsap.checked = true;
  }
  var ksid = document.getElementById("ksid");
  var wizform = document.getElementById("wizard-form");
  if(ksid.value == "") {  	
  	for(x = 0; x < wizform.length; x++) {
  	  if(wizform.elements[x].name == "items_selected") {
  	    wizform.elements[x].checked =  true;
  	    ksid.value = wizform.elements[x].value;
  	    break;
      }
    }
  }
  else {
    for(x = 0; x < wizform.length; x++) {
  	  if(wizform.elements[x].name == "items_selected"
  	    && wizform.elements[x].value == ksid.value) {
  	    wizform.elements[x].checked =  true;  	    
  	    break;
      }
    }
  }
}
</script>
</head>

<body onload="setInitialState();">

<%@ include file="/WEB-INF/pages/common/fragments/systems/system-header.jspf" %>

<br />
<h2><img src="/img/icon_kickstart_session-medium.gif" /><bean:message key="kickstart.schedule.heading1.jsp" /></h2>
<div class="page-summary">
<p>
    <bean:message key="kickstart.schedule.heading1.text.jsp" />
</p>
<h2><bean:message key="kickstart.schedule.heading2.jsp" /></h2>
<div class="page-summary">
<p>
    <bean:message key="kickstart.schedule.heading2.text.jsp" />
</p>
<html:form method="POST" action="/systems/details/kickstart/ScheduleWizard.do" styleId="wizard-form">
    <html:hidden property="wizardStep" value="first" styleId="wizard-step" />
    <html:hidden styleId="ksid" property="ksid" />
    <html:hidden property="sid" />
    <rhn:list pageList="${requestScope.pageList}" noDataText="kickstart.schedule.no.profiles.jsp">         
        <rhn:listdisplay renderDisabled="true" paging="true" filterBy="kickstartranges.jsp.profile">
            <rhn:set type="radio" value="${current.id}" />
            <rhn:column header="kickstartranges.jsp.profile">
                ${current.label}
            </rhn:column>
            <rhn:column header="kickstart.jsp.bootimage">
                ${current.bootImage}
            </rhn:column>
            <rhn:column header="kickstart.channel.label.jsp">
                ${current.channelLabel}
            </rhn:column>      
        </rhn:listdisplay>          
    </rhn:list>
    <c:if test="${requestScope.hasProxies == 'true'}">    
    <h2><img src="/img/rhn-icon-proxy.gif"/><bean:message key="kickstart.schedule.heading.proxy.jsp"/></h2>
    <p>
    <bean:message key="kickstart.schedule.msg.proxy.jsp"/>
    </p>
    <p>
    <select name="proxy_host">
      <option value=""><bean:message key="kickstart.schedule.default.proxy.jsp"/></option> 
      <c:forEach items="${proxies}" var="option">
        <c:choose>
          <c:when test="${proxy == option.name}">
            <option SELECTED value="<c:out value="${option.id}"/>">                    
          </c:when>
          <c:otherwise> 
            <option value="<c:out value="${option.id}"/>">                    
          </c:otherwise>
        </c:choose>
        <c:out value="${option.name} (${option.checkin})"/>
           </option>
      </c:forEach>
    </select>
    <br />
    <bean:message key="kickstart.schedule.tip.proxy.jsp"/>
    </p>
    </c:if>
    <c:if test="${requestScope.hasProfiles == 'true'}">    
      <h2><img src="/img/rhn-icon-schedule.gif" /><bean:message key="kickstart.schedule.heading3.jsp" /></h2>
      <table cols="1" width="50%">
        <tr>
          <td><html:radio styleId="scheduleAsap" property="scheduleAsap" value="true"><bean:message key="kickstart.schedule.heading3.option1.jsp" /></html:radio></td>
        </tr>
        <tr>
          <td><html:radio styleId="scheduleDate" property="scheduleAsap" value="false"><bean:message key="kickstart.schedule.heading3.option2.jsp" /></html:radio><br /><br />
              <jsp:include page="/WEB-INF/pages/common/fragments/date-picker.jsp">
                <jsp:param name="widget" value="date"/>
              </jsp:include>
          </td>
        </tr>
      </table>
      <hr />
	  <table width="100%" cols="1">
	    <tr>
	      <td align="right">
	        <input type="button" value="<bean:message key="kickstart.schedule.button1.jsp" />" onclick="setStep('second');moveNext();" />
            <input type="button" value="<bean:message key="kickstart.schedule.button2.jsp" />" onclick="setStep('third');moveNext();" />
	      </td>
	    </tr>
	  </table>
    </c:if>
    </div>
</html:form>
</div>
</body>
</html>
