<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>

<html:xhtml/>
<html>
<head>
    <meta name="name" value="System Details" />
</head>
<body>

<%@ include file="/WEB-INF/pages/common/fragments/systems/system-header.jspf" %>

<h2><img src="/img/rhn-icon-errata.gif" /><bean:message key="errataconfirm.jsp.header"/></h2>

<rhn:systemtimemessage server="${system}" />

<c:set var="pageList" value="${requestScope.pageList}" />
<form method="POST" name="rhn_list" action="/rhn/systems/details/ErrataConfirmSubmit.do?sid=${param.sid}${all}">
<rhn:list pageList="${requestScope.pageList}" noDataText="erratalist.jsp.noerrata" legend="errata">
  <rhn:listdisplay>
    <rhn:column header="erratalist.jsp.type" style="text-align: center;">
      <c:if test="${current.securityAdvisory}">
        <img src="/img/wrh-security.gif"
             title="<bean:message key="erratalist.jsp.securityadvisory"/>" />
      </c:if>
      <c:if test="${current.bugFix}">
        <img src="/img/wrh-bug.gif"
             title="<bean:message key="erratalist.jsp.bugadvisory"/>" />
      </c:if>
      <c:if test="${current.productEnhancement}">
        <img src="/img/wrh-product.gif"
             title="<bean:message key="erratalist.jsp.productenhancementadvisory"/>" />
      </c:if>
    </rhn:column>

    <rhn:column header="erratalist.jsp.advisory">
      <a href="/rhn/errata/details/Details.do?eid=${current.id}">
        ${current.advisoryName}</a>
    </rhn:column>

    <rhn:column header="erratalist.jsp.synopsis">
      ${current.advisorySynopsis}
    </rhn:column>

    <rhn:column header="erratalist.jsp.updated">
      ${current.updateDate}
    </rhn:column>
  </rhn:listdisplay>
</rhn:list>

  <div align="right">
    <hr />
    <html:submit property="dispatch">
      <bean:message key="errataconfirm.jsp.confirm"/>
    </html:submit>
  </div>

</form>
</body>
</html>
