<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<html>
<head>
    <%-- <meta name="decorator" content="layout_equals" /> --%>
</head>
<body>
<%-- Image and Page title --%>
<rhn:toolbar base="h1" img="/img/rhn-icon-info.gif">
  <bean:message key="tnc.jsp.tnc"/>
</rhn:toolbar>

<%-- Purpose of page text --%>
<p><bean:message key="tnc.jsp.desc-para"/></p>
<p><bean:message key="tnc.jsp.for-other-tnc"/><a href="https://www.redhat.com/licenses" target="_blank">https://www.redhat.com/licenses</a></p>

<%-- Textual version of T&C --%>
<div class="termsandconditions">
<span class="printerfriendlylink">
<a href="/rhn/tnc/print/TnCPrintable.do?id=${tnc.id}" target="_blank" align="right"> <img class="printerfriendlylink" src="/img/printer-friendly-icon.gif"/></a><a class="printerfriendlylink" href="/rhn/tnc/print/TnCPrintable.do?id=${tnc.id}" target="_blank" align="right"><bean:message key="tnc.jsp.print-version"/></a>
</span>
<br/>
<textarea class="termsandconditions">${tnc.verbiage}</textarea>
<div class="tc_warning">
<%-- Scary text about the consequences --%>
<p class="tc_warning"><strong><bean:message key="tnc.jsp.consequence"/></strong></p>
<%-- Buttons --%>
<form method="POST" action="/rhn/tnc/TnCAcknowledgeSubmit.do?uid=${param.uid}&acctId=${param.acctId}&cu=${param.cu}&wid=${param.wid}">

<div class="tc_accept_button">
<input type="submit" name="accept" value="<bean:message key="tnc.jsp.button-accept"/>"/>
<br/>
<span class="small-text"><bean:message key="tnc.jsp.button-accept-subtext"/></span>
</div>

<div class="tc_reject_button">
<input type="submit" name="accept" value="<bean:message key="tnc.jsp.button-refuse"/>"/>
<br/>
<span class="small-text"><bean:message key="tnc.jsp.button-refuse-subtext"/></span>
</div>

<input type="hidden" name="tncAckId" value="${tncAck.id}"/>
</form>
</div>
</div>
</body>
</html>