<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<html>
<body>

<html:messages id="message" message="true">
  <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<rhn:toolbar base="h1" img="/img/rhn-icon-your_rhn.gif"
             helpUrl="/help/reference/s1-sm-your-rhn.html#S1-SM-YOUR-RHN">
  <bean:message key="yourrhn.jsp.toolbar"/>
</rhn:toolbar>

<c:choose>
  <c:when test="${requestScope.anyListsSelected == 'true'}">
  <c:if test="${requestScope.showTasks == 'true'}">
    <div class="half-table half-table-left">
  		<%@ include file="/WEB-INF/pages/common/fragments/yourrhn/tasks.jspf" %>
  	</div>
  </c:if>
  
  <c:if test="${requestScope.showInactiveSystems == 'true'}">
    <div class="${requestScope.inactiveSystemsClass}">
  		<%@ include file="/WEB-INF/pages/common/fragments/yourrhn/inactiveSystems.jspf" %>
  	</div>
  	
  	<c:if test="${requestScope.showTasks == 'true'}">
  		<div style="clear: both; padding-top: 10px;">
  	</c:if>
  </c:if>
  
  <c:if test="${requestScope.showCriticalProbes == 'true'}">
    <div class="${requestScope.monitoringCriticalClass}">
  		<%@ include file="/WEB-INF/pages/common/fragments/yourrhn/monitoringCritical.jspf" %>
  	</div>
  	
  	<c:if test="${!(requestScope.showInactiveSystems != 'true' && requestScope.showTasks != 'true')
  				   && (requestScope.showInactiveSystems != 'true' || requestScope.showTasks != 'true')}">
  		<div style="clear: both; padding-top: 5px;">
  	</c:if>
  </c:if>
  
  <c:if test="${requestScope.showWarningProbes == 'true'}">
    <div class="${requestScope.monitoringWarningClass}">
  		<%@ include file="/WEB-INF/pages/common/fragments/yourrhn/monitoringWarning.jspf" %>
    </div>
  </c:if>
  
  <c:if test="${requestScope.showInactiveSystems == 'true' || requestScope.showCriticalProbes == 'true'}">
  	</div>
  </c:if>
  
  <div style="clear: both;">
  
  <c:if test="${requestScope.showCriticalSystems == 'true'}">
  	<div class="full-width-wrapper" style="clear: both;">
  		<%@ include file="/WEB-INF/pages/common/fragments/yourrhn/mostCriticalSystems.jspf" %>
  	</div>
  </c:if>
  
  <c:if test="${requestScope.showPendingActions == 'true'}">
  	<div class="full-width-wrapper" style="clear: both;">
 	 	<%@ include file="/WEB-INF/pages/common/fragments/yourrhn/scheduledActions.jspf" %>
 	</div>
  </c:if>
  
  <c:if test="${requestScope.showErrata == 'true'}">
  	<div class="full-width-wrapper" style="clear: both;">
  		<%@ include file="/WEB-INF/pages/common/fragments/yourrhn/errata.jspf" %>
  	</div>
  </c:if>
  
  <c:if test="${requestScope.showSystemGroups == 'true'}">
  	<div class="full-width-wrapper" style="clear: both;">
  		<%@ include file="/WEB-INF/pages/common/fragments/yourrhn/systemGroups.jspf" %>
  	</div>
  </c:if>
  
  </div>
  </c:when>
  
  <c:otherwise>
  	<bean:message key="yourrhn.jsp.nolists" />
  </c:otherwise>
</c:choose>

</body>
</html>
