<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul {
   list-style-image: url('/img/parent_node.gif');
}

.toolbar-h1 {
   text-transform: capitalize;
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="toolbar-h1">
<img src="/img/rhn-icon-api.gif" /> <a href="/rhn/apidoc/">API Overview</a>:

proxy<br />

</div>
<span class="small-text">( <a href="/rhn/apidoc/">Return to API Overview</a> )</span>
<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul>

<li><a href="#activateProxy">activateProxy</a></li>

<li><a href="#deactivateProxy">deactivateProxy</a></li>

</ul>
</div>
<h2>Description</h2>

<p>
Provides methods to activate/deactivate a Red Hat Network Proxy server.
</p>

<p><strong>Namespace</strong>:

proxy

</p>
<hr />

<h3><a name="activateProxy" href="#top">Method: activateProxy</a></h3>

Description:<br />

Activates the proxy identified by the given client certificate i.e. systemid file.<p />

Parameters:<br />
<ul>

<li>string systemid i.e. systemid file.</li>

<li>string version - Version of proxy to be registered.</li>

</ul>
<p />
Returns:

<code>
int - 1 is a successful activation.
</code>

<p />

<hr />

<h3><a name="deactivateProxy" href="#top">Method: deactivateProxy</a></h3>

Description:<br />

Deactivates the proxy identified by the given client certificate i.e. systemid file.<p />

Parameters:<br />
<ul>

<li>string systemid i.e. systemid file</li>

</ul>
<p />
Returns:

<code>
int - 1 is a successful deactivation.
</code>

<p />

<hr />

</body>
</html>
